/*
 *  inf.h
 *  mod_musicindex
 *
 *  $Id: inf.h,v 1.11 2003/10/18 13:47:29 varenet Exp $
 *
 *  Created by Thibaut VARENE on Thu Mar 20 2003.
 *  Copyright (c) 2003 Regis BOUDIN
 *  Copyright (c) 2003 Thibaut VARENE
 *  
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation; either version 2.1, or (at your option)
 *  any later version.
 *
 */
 
#ifndef INF_H
#define INF_H

#include "mod_musicindex.h"
#include <string.h>

struct mu_ent *quicksort(struct mu_ent *base, struct mu_ent *end,
	mu_config * conf);

void set_fctptrs(mu_config * conf);

int inf_by_rand(struct mu_ent *first, struct mu_ent *second);
int inf_by_track(struct mu_ent *first, struct mu_ent *second);
int inf_by_posn(struct mu_ent *first, struct mu_ent *second);
int inf_by_date(struct mu_ent *first, struct mu_ent *second);
int inf_by_length(struct mu_ent *first, struct mu_ent *second);
int inf_by_bitrate(struct mu_ent *first, struct mu_ent *second);
int inf_by_size(struct mu_ent *first, struct mu_ent *second);
int inf_by_artist(struct mu_ent *first, struct mu_ent *second);
int inf_by_album(struct mu_ent *first, struct mu_ent *second);
int inf_by_title(struct mu_ent *first, struct mu_ent *second);
int inf_by_filetype(struct mu_ent *first, struct mu_ent *second);
int inf_by_file(struct mu_ent *first, struct mu_ent *second);
int inf_by_uri(struct mu_ent *first, struct mu_ent *second);
int inf_by_genre(struct mu_ent *first, struct mu_ent *second);
int inf_global(struct mu_ent *first, struct mu_ent *second,
		      mu_config * conf);

#endif
